members.dev
Accounts

List Accounts

Lists Accounts

GET
/v1/accounts

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Query Parameters

tenant_role?|
organization_id?|
email?|
page?integer

Page number

Default1
Range1 <= value
size?integer

Page size

Default50
Range1 <= value <= 100

Response Body

application/json

application/json

curl -X GET "https://api.members.dev/v1/accounts"
{
  "items": [
    {
      "id": "string",
      "short_id": "string",
      "email": "user@example.com",
      "first_name": "string",
      "last_name": "string",
      "tenant_role": "admin",
      "organizations": [
        {
          "id": "string",
          "name": "string",
          "role": "admin",
          "status": "active"
        }
      ],
      "removed_at": {},
      "created_at": null,
      "updated_at": null
    }
  ],
  "total": 0,
  "page": 1,
  "size": 1,
  "pages": 0
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}